#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_install:
	mkdir -p debian/tmp
	sed -e 's/@DPSELF@/xonotic/g' \
		-e 's/@DPROLE@/client/g' \
		-e 's/@DPBINARY@/darkplaces/g' \
		< debian/xonotic.in > debian/tmp/xonotic
	sed -e 's/@DPSELF@/xonotic-server/g' \
		-e 's/@DPROLE@/server/g' \
		-e 's/@DPBINARY@/darkplaces-server/g' \
		< debian/xonotic.in > debian/tmp/xonotic-server
	for size in 16 22 24 32 48 64 128 256 512; do \
		install -Dm644 icons_png/xonotic_$${size}.png \
		debian/xonotic/usr/share/icons/hicolor/$${size}x$${size}/apps/xonotic.png; \
	done
	cp icons_xpm/xonotic_32.xpm debian/tmp/xonotic.xpm
	dh_auto_install
